Apache Sqoop 2 Incompatible Changes and Limitations

Sqoop 2 is deprecated. Cloudera recommends using Sqoop 1.

Upgrading Sqoop 2 from an earlier release to CDH 5.2.0 and later entails a schema upgrade to the repository database; see Upgrading Sqoop 2 from an Earlier CDH 5 Release.